---
# SRS is a technique for e-mail forwarding that doesn't break SPF
# checks by rewriting the sender.  This prevents other e-mail servers to
# bounce our e-mail or catalog it as spam.
#
# The secret is distributed because it's checked during bounces and
# a bounce can arrive between container restarts and maybe to any node.

- name: postsrsd secret
  when: "inventory_hostname == delegate.hostname"
  shell: "dd if=/dev/urandom bs=18 count=1 status=none | base64 | tee {{ root }}{{ postsrsd.secret }}"
  args:
    creates: "{{ root }}{{ postsrsd.secret }}"

- name: postsrsd secret
  when: "inventory_hostname == delegate.hostname"
  fetch:
    src: "{{ root }}{{ postsrsd.secret }}"
    dest: "./postsrsd"

- name: postsrsd secret
  when: "inventory_hostname == delegate.hostname"
  copy:
    src: "./postsrsd/{{ delegate.hostname }}{{ root }}{{ postsrsd.secret }}"
    dest: "{{ root }}{{ postsrsd.secret }}"

- name: postsrsd container
  docker_container:
    name: postsrsd
    image: "{{ registry }}/sutty/postsrsd:3.15.0"
    pull: yes
    restart_policy: always
    detach: yes
    state: started
    hostname: "postsrsd.{{ inventory_hostname }}"
    dns_search_domains: "{{ inventory_hostname }}"
    volumes:
    - "/dev/log:/dev/log"
    env:
      SRS_SECRET: "{{ postsrsd.secret }}"
      SRS_DOMAIN: "{{ sutty }}"
      EMAIL: "{{ monit.email }}"
      EMAIL_FROM: "{{ monit.email_from }}"
      DOMAIN: "{{ inventory_hostname }}"
      MMONIT: "mmmonit.{{ delegate.hostname }}:3000"
      CREDENTIALS: "{{ lookup('community.general.random_string', length=12, special=false) }}:{{ lookup('community.general.random_string', length=12, special=false) }}"
    networks:
    - name: sutty
    purge_networks: yes
    tmpfs:
    - /tmp
    - /run
